crashpad::ServerToClientMessage Union Reference

The message passed from server to client. More...

`#include "util/win/registration_protocol_win.h"`

## Public Types

enum | Type : uint32_t

## Public Attributes

enum crashpad::ServerToClientMessage::Type | type
pid_t | pid
| The handler's process ID. Valid for kTypeSetPtracer.
RegistrationResponse | registration

## Detailed Description

The message passed from server to client.

The response sent back to the client via SendToCrashHandlerServer().

## Member Enumeration Documentation

## Type

enum crashpad::ServerToClientMessage::Type : uint32_t

Enumerator
kTypeForkBroker | Indicates that the client should fork a PtraceBroker process.
kTypeSetPtracer | Inidicates that the client should set allow the handler to trace it using PR_SET_PTRACER.
kTypeCrashDumpComplete | Indicates that the handler has completed a requested crash dump.
kTypeCrashDumpFailed | Indicicates that the handler was unable to produce a crash dump.

The documentation for this union was generated from the following files:

- util/linux/exception_handler_protocol.h
- util/win/registration_protocol_win.h